GuideLab API

Update a category

Update an existing product category. Validates nesting constraints if parentId is changed.

PUT
/categories/{id}

Update an existing product category. Validates nesting constraints if parentId is changed.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Category ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/categories/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "category": {    "id": "string",    "labId": "string",    "parentId": "string",    "name": "string",    "subtitle": "string",    "description": "string",    "icon": "string",    "imageKey": "string",    "imageAspectRatio": "square",    "guideTitle": "string",    "guideBody": "string",    "guideMediaKey": "string",    "guideMediaType": "image",    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty